import { NativePlatform } from './NativePlatform';
export declare class BundleStoreEngine {
    readonly host: string;
    private readonly sdk;
    private assets;
    constructor(host: string);
    upload({ bundlePath, platform, sourceMapPath, }: {
        bundlePath: string;
        platform: string;
        sourceMapPath: string;
    }): Promise<string>;
    uploadAssets(): Promise<void>;
    uploadFromPackager({ dev, platform, }?: {
        dev?: boolean;
        platform?: NativePlatform;
    }): Promise<string>;
}
