export declare class IosPluginConfigGenerator {
    static fromPath(p: string): IosPluginConfigGenerator;
    readonly root: string;
    readonly files: string[];
    private readonly excludedDirectoriesRe;
    private constructor();
    generateConfig({ resolvePbxProjPath, }: {
        resolvePbxProjPath: (pbxProjPaths: string[]) => Promise<string>;
    }): Promise<any>;
    get doesPluginSupportIos(): boolean;
    getProjectName(pbxProjPath: string): string;
    get pbxprojPaths(): string[];
}
