/// <reference types="node" />
import { PackagePath } from './PackagePath';
export declare class NpmCli {
    readonly binaryPath: string;
    constructor(binaryPath?: string);
    install({ dependencyPath, dev, peer, }?: {
        dependencyPath?: PackagePath;
        dev?: boolean;
        peer?: boolean;
    }): Promise<string | Buffer>;
    update(dependencyPath: PackagePath): Promise<string | Buffer>;
    init(): Promise<string | Buffer>;
    runNpmCommand(command: string): Promise<string | Buffer>;
}
