export declare class PluginConfigGenerator {
    static generateFromPath({ pluginPath, revolveBuildGradlePath, resolvePbxProjPath, resolveDependencyVersion, }: {
        pluginPath: string;
        revolveBuildGradlePath: (buildGradlePaths: string[]) => Promise<string>;
        resolvePbxProjPath: (pbxProjPaths: string[]) => Promise<string>;
        resolveDependencyVersion: (dependency: string) => Promise<string>;
    }): Promise<{
        pluginConfig: any;
        androidPluginSource: {
            filename: string;
            content: string;
        } | void;
    }>;
}
