/// <reference types="node" />
import { PackagePath } from './PackagePath';
export declare class YarnCli {
    readonly binaryPath: string;
    constructor(binaryPath?: string);
    add(dependencyPath: PackagePath, { dev, peer, }?: {
        dev?: boolean;
        peer?: boolean;
    }): Promise<string | Buffer>;
    install(): Promise<string | Buffer>;
    upgrade(dependencyPath: PackagePath): Promise<string | Buffer>;
    init(): Promise<string | Buffer>;
    info(dependencyPath: PackagePath, { field, }?: {
        field?: string;
    }): Promise<any>;
    runYarnCommand(command: string): Promise<string | Buffer>;
}
