"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ernRcFilePath = exports.ERN_RC_LOCAL_FILE_PATH = exports.ERN_RC_GLOBAL_FILE_PATH = exports.ERN_ROOT_PATH = void 0;
const resolveLocalErnRc_1 = require("./resolveLocalErnRc");
const JsonFileErnConfig_1 = require("./JsonFileErnConfig");
const path_1 = __importDefault(require("path"));
const os_1 = __importDefault(require("os"));
exports.ERN_ROOT_PATH = process.env.ERN_HOME || path_1.default.join(os_1.default.homedir(), '.ern');
exports.ERN_RC_GLOBAL_FILE_PATH = path_1.default.join(exports.ERN_ROOT_PATH, '.ernrc');
exports.ERN_RC_LOCAL_FILE_PATH = (0, resolveLocalErnRc_1.resolveLocalErnRc)();
exports.ernRcFilePath = exports.ERN_RC_LOCAL_FILE_PATH
    ? exports.ERN_RC_LOCAL_FILE_PATH
    : exports.ERN_RC_GLOBAL_FILE_PATH;
__exportStar(require("./resolveLocalErnRc"), exports);
__exportStar(require("./ErnConfig"), exports);
__exportStar(require("./InMemErnConfig"), exports);
__exportStar(require("./JsonFileErnConfig"), exports);
exports.default = new JsonFileErnConfig_1.JsonFileErnConfig(exports.ernRcFilePath);
//# sourceMappingURL=index.js.map