"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const tmp_1 = __importDefault(require("tmp"));
const config_1 = __importDefault(require("./config"));
const fs_extra_1 = __importDefault(require("fs-extra"));
function default_1() {
    const tmpdir = config_1.default.get('tmp-dir');
    if (tmpdir) {
        fs_extra_1.default.ensureDirSync(tmpdir);
    }
    const retainTmpDir = config_1.default.get('retain-tmp-dir', false);
    return fs_extra_1.default.realpathSync(tmp_1.default.dirSync({
        tmpdir,
        unsafeCleanup: !retainTmpDir,
    }).name);
}
exports.default = default_1;
//# sourceMappingURL=createTmpDir.js.map