"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppNameDescriptor = void 0;
class AppNameDescriptor {
    static fromString(s) {
        if (s.includes(':')) {
            throw new Error(`An AppNameDescriptor literal cannot contain the ':' reserved character.`);
        }
        return new AppNameDescriptor(s);
    }
    constructor(name) {
        this.name = name;
    }
    toAppNameDescriptor() {
        return this;
    }
    toString() {
        return this.name;
    }
}
exports.AppNameDescriptor = AppNameDescriptor;
//# sourceMappingURL=AppNameDescriptor.js.map