import { NativePlatform } from '../NativePlatform';
import { AppNameDescriptor } from './AppNameDescriptor';
export declare class AppPlatformDescriptor {
    readonly name: string;
    readonly platform: NativePlatform;
    static fromString(s: string): AppPlatformDescriptor;
    constructor(name: string, platform: NativePlatform);
    toAppNameDescriptor(): AppNameDescriptor;
    toAppPlatformDescriptor(): AppPlatformDescriptor;
    toString(): string;
}
