"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
const AppVersionDescriptor_1 = require("./AppVersionDescriptor");
const AppNameDescriptor_1 = require("./AppNameDescriptor");
const AppPlatformDescriptor_1 = require("./AppPlatformDescriptor");
__exportStar(require("./AppNameDescriptor"), exports);
__exportStar(require("./AppPlatformDescriptor"), exports);
__exportStar(require("./AppVersionDescriptor"), exports);
String.prototype.toAppDescriptor = function () {
    const arr = this.split(':');
    if (arr.length > 3) {
        throw new Error(`{this} is not a valid application descriptor`);
    }
    return arr.length === 1
        ? new AppNameDescriptor_1.AppNameDescriptor(arr[0])
        : arr.length === 2
            ? new AppPlatformDescriptor_1.AppPlatformDescriptor(arr[0], arr[1])
            : new AppVersionDescriptor_1.AppVersionDescriptor(arr[0], arr[1], arr[2]);
};
//# sourceMappingURL=index.js.map