"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateDeviceConfig = exports.IOS_DEVICE_CONFIG = exports.ANDROID_DEVICE_CONFIG = void 0;
const config_1 = __importDefault(require("./config"));
exports.ANDROID_DEVICE_CONFIG = 'androidDeviceConfig';
exports.IOS_DEVICE_CONFIG = 'iOSDeviceConfig';
function updateDeviceConfig(platform, usePreviousDevice = false) {
    const key = platform === 'ios' ? exports.IOS_DEVICE_CONFIG : exports.ANDROID_DEVICE_CONFIG;
    const deviceConfig = config_1.default.get(key, {
        deviceId: '',
    });
    deviceConfig.usePreviousDevice = usePreviousDevice;
    config_1.default.set(key, deviceConfig);
}
exports.updateDeviceConfig = updateDeviceConfig;
//# sourceMappingURL=deviceConfig.js.map