"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const getCodePushInitConfig_1 = require("./getCodePushInitConfig");
const CodePushSdk_1 = __importDefault(require("./CodePushSdk"));
function getCodePushSdk() {
    const codePushInitConfig = (0, getCodePushInitConfig_1.getCodePushInitConfig)();
    if (!codePushInitConfig || !codePushInitConfig.accessKey) {
        throw new Error('Unable to get the CodePush config to use');
    }
    return new CodePushSdk_1.default(codePushInitConfig);
}
exports.default = getCodePushSdk;
//# sourceMappingURL=getCodePushSdk.js.map