"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getGotCommonOpts = void 0;
const createProxyAgent_1 = require("./createProxyAgent");
function getGotCommonOpts() {
    const ernAgent = (0, createProxyAgent_1.createProxyAgentFromErnConfig)('bundleStoreProxy');
    const agent = {};
    if (ernAgent === null || ernAgent === void 0 ? void 0 : ernAgent.isHttpsAgent) {
        agent.https = ernAgent.agent;
    }
    else {
        agent.http = ernAgent === null || ernAgent === void 0 ? void 0 : ernAgent.agent;
    }
    return { agent };
}
exports.getGotCommonOpts = getGotCommonOpts;
//# sourceMappingURL=getGotCommonOpts.js.map