"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMetroBlacklistPath = void 0;
const semver_1 = __importDefault(require("semver"));
function getMetroBlacklistPath(reactNativeVersion) {
    return semver_1.default.gte(reactNativeVersion, '0.64.0')
        ? 'metro-config/src/defaults/exclusionList'
        : 'metro-config/src/defaults/blacklist';
}
exports.getMetroBlacklistPath = getMetroBlacklistPath;
//# sourceMappingURL=getMetroBlacklistPath.js.map