"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_extra_1 = __importDefault(require("fs-extra"));
const shell_1 = __importDefault(require("./shell"));
const path_1 = __importDefault(require("path"));
function handleCopyDirective(sourceRoot, destRoot, arr) {
    for (const cp of arr) {
        const sourcePath = path_1.default.join(sourceRoot, cp.source);
        const destPath = path_1.default.join(destRoot, cp.dest);
        fs_extra_1.default.ensureDirSync(destPath);
        shell_1.default.cp('-R', sourcePath, destPath);
    }
}
exports.default = handleCopyDirective;
//# sourceMappingURL=handleCopyDirective.js.map