import { PackagePath } from './PackagePath';
export declare function findDirectoriesContainingNativeCode(rootDir: string): string[];
export declare function filterDirectories(directories: string[]): string[];
export declare function getUnprefixedVersion(version: string): string;
export interface NativeDependencies {
    apis: PackagePath[];
    nativeApisImpl: PackagePath[];
    thirdPartyInManifest: PackagePath[];
    thirdPartyNotInManifest: PackagePath[];
    all: PackagePath[];
}
export declare function resolvePackagePaths(paths: string[]): Set<string>;
export declare function findNativeDependencies(dir: string | string[], { manifestId }?: {
    manifestId?: string;
}): Promise<NativeDependencies>;
export declare function getNativeDependencyPath(dir: string, d: PackagePath): Promise<string | undefined>;
