"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.askUserToChooseAnOption = void 0;
const inquirer_1 = __importDefault(require("inquirer"));
async function askUserToChooseAnOption(choices, message) {
    const { userSelectedOption } = await inquirer_1.default.prompt([
        {
            choices,
            message: message || 'Choose one',
            name: 'userSelectedOption',
            type: 'list',
        },
    ]);
    return userSelectedOption;
}
exports.askUserToChooseAnOption = askUserToChooseAnOption;
//# sourceMappingURL=promptUtils.js.map