"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tagOneLine = void 0;
// tagged template outputing a one line string
// used to help logging
function tagOneLine(literals, ...substitutions) {
    let result = '';
    for (let i = 0; i < substitutions.length; i++) {
        result += literals[i].replace(/\n{1}\s+/, ' ');
        result += substitutions[i];
    }
    result += literals[literals.length - 1].replace(/\n{1}\s+/, ' ');
    return result;
}
exports.tagOneLine = tagOneLine;
//# sourceMappingURL=tagoneline.js.map