import { PackagePath } from './PackagePath';
export declare class ModuleFactory<T> {
    readonly packageCachePath: string;
    private readonly packagePrefix?;
    constructor(packageCachePath: string, { packagePrefix, }?: {
        packagePrefix?: string;
    });
    getModuleInstance(p: PackagePath): Promise<T>;
    private instantiateModule;
    private getLocalPathToPackage;
    private getPathToLocalPackage;
    private getPathToRegistryPackage;
    private doesPackageCacheExist;
    private createPackageCache;
    private refreshCacheFor;
    private addPackageToCache;
    private upgradeCachedPackage;
    private processPackageRegistryPath;
}
