import FormData from 'form-data';
import { AppVersionDescriptor } from './descriptors';
export declare class SourceMapStoreSdk {
    readonly host: string;
    constructor(host: string);
    createSourceMapForm(sourceMapPath: string): FormData;
    uploadCodePushSourceMap({ descriptor, deploymentName, label, sourceMapPath, }: {
        descriptor: AppVersionDescriptor;
        deploymentName: string;
        label: string;
        sourceMapPath: string;
    }): Promise<void>;
    copyCodePushSourceMap({ descriptor, deploymentName, label, toVersion, toDeploymentName, toLabel, }: {
        descriptor: AppVersionDescriptor;
        deploymentName: string;
        label: string;
        toVersion: string;
        toDeploymentName: string;
        toLabel: string;
    }): Promise<void>;
    uploadContainerSourceMap({ descriptor, containerVersion, sourceMapPath, }: {
        descriptor: AppVersionDescriptor;
        containerVersion: string;
        sourceMapPath: string;
    }): Promise<void>;
}
