/// <reference types="node" />
import { ChildProcess, ExecOptions } from 'child_process';
export declare function promisifyChildProcess(child: ChildProcess): Promise<void>;
export declare function execp(command: string, options?: ExecOptions, loggers?: {
    stdout: (s: string) => void;
    stderr: (s: string) => void;
}): Promise<string>;
export declare function spawnp(command: string, args?: string[], options?: any, loggers?: {
    stdout: (s: string) => void;
    stderr: (s: string) => void;
}): Promise<void>;
