export declare enum LogLevel {
    Trace = 0,
    Debug = 1,
    Info = 2,
    Warn = 3,
    Error = 4,
    Off = 5
}
export default class ColoredLog {
    private pLevel;
    private loggers;
    constructor(level?: LogLevel);
    setLogLevel(level: LogLevel): void;
    get level(): LogLevel;
    raw(msg: string): void;
    trace(msg: string): void;
    debug(msg: string): void;
    info(msg: string): void;
    warn(msg: string): void;
    error(msg: string): void;
    private noop;
}
