import { NativePlatform } from '../NativePlatform';
import { AppPlatformDescriptor } from './AppPlatformDescriptor';
import { AppNameDescriptor } from './AppNameDescriptor';
export declare class AppVersionDescriptor {
    readonly name: string;
    readonly platform: NativePlatform;
    readonly version: string;
    static fromString(s: string): AppVersionDescriptor;
    constructor(name: string, platform: NativePlatform, version: string);
    toAppPlatformDescriptor(): AppPlatformDescriptor;
    toAppNameDescriptor(): AppNameDescriptor;
    toString(): string;
}
