import { AppVersionDescriptor } from './AppVersionDescriptor';
import { AppNameDescriptor } from './AppNameDescriptor';
import { AppPlatformDescriptor } from './AppPlatformDescriptor';
export * from './AppNameDescriptor';
export * from './AppPlatformDescriptor';
export * from './AppVersionDescriptor';
export type CompleteAppDescriptor = AppVersionDescriptor;
export type PartialAppDescriptor = AppNameDescriptor | AppPlatformDescriptor;
export type AnyAppDescriptor = PartialAppDescriptor | CompleteAppDescriptor;
declare global {
    interface String {
        toAppDescriptor(this: string): AnyAppDescriptor;
    }
}
