"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.findDirectoriesHavingRnConfig = void 0;
const glob_1 = __importDefault(require("glob"));
const path_1 = __importDefault(require("path"));
async function findDirectoriesHavingRnConfig(rootDir) {
    return new Promise((resolve, reject) => {
        (0, glob_1.default)(path_1.default.join(rootDir, '**/react-native.config.js'), (err, files) => {
            if (err) {
                reject(err);
            }
            else {
                resolve(files.map(path_1.default.normalize).map(path_1.default.dirname));
            }
        });
    });
}
exports.findDirectoriesHavingRnConfig = findDirectoriesHavingRnConfig;
//# sourceMappingURL=findDirectoriesHavingRnConfig.js.map