export interface IosDevice {
    name: string;
    sdk: string;
    udid: string;
}
export declare function getiPhoneSimulators(): Promise<any>;
export declare function getKnownDevices(): string;
export declare function getComputerName(): string;
export declare function getiPhoneRealDevices(): IosDevice[];
export declare function askUserToSelectAniPhoneDevice(devices: IosDevice[]): Promise<any>;
export declare function askUserToSelectAniPhoneSimulator(): Promise<any>;
export declare function parseIOSDevicesList(text: string, computerName: string): IosDevice[];
export declare function killAllRunningSimulators(): void;
export declare function launchSimulator(deviceUdid: string): Promise<void>;
export declare function runIosApp({ appPath, bundleId, launchArgs, launchEnvVars, }: {
    appPath: string;
    bundleId: string;
    launchArgs?: string;
    launchEnvVars?: string;
}): Promise<void>;
export declare function installApplicationOnSimulator(deviceUdid: string, pathToAppFile: string): Promise<any>;
export declare function launchApplication(deviceUdid: string, bundleId: string, { launchArgs, launchEnvVars, }?: {
    launchArgs?: string;
    launchEnvVars?: string;
}): Promise<void>;
