import { PackagePath } from './PackagePath';
export declare function fillProjectHull(pathSpec: {
    outputDir: string;
    projectHullDir: string;
    rootDir: string;
}, projectSpec: {
    deploymentTarget?: string;
    nodeModulesRelativePath?: string;
    projectName: string;
}, plugins: PackagePath[], mustacheView?: any, composite?: any, iosConfig?: any): Promise<{
    iosProject: any;
    projectPath: string;
}>;
export declare const getDefaultIosDeploymentTarget: (rnVersion: string) => string;
export declare const getReactNativeCodegenVersion: (rnVersion: string) => string | null;
