import { NativeDependencies } from './nativeDependenciesLookup';
import { PackagePath } from './PackagePath';
export declare function containsVersionMismatch(versions: string[], mismatchLevel: 'major' | 'minor' | 'patch'): boolean;
export declare function retainHighestVersions(dependenciesA: PackagePath[], dependenciesB: PackagePath[]): PackagePath[];
export declare function resolvePackageVersionsGivenMismatchLevel(plugins: PackagePath[], mismatchLevel: 'major' | 'minor' | 'patch'): {
    resolved: PackagePath[];
    pluginsWithMismatchingVersions: string[];
};
export declare function resolveNativeDependenciesVersions(nativeDependenciesArr: NativeDependencies[]): any;
export declare function resolveNativeDependenciesVersionsEx(dependencies: NativeDependencies): {
    pluginsWithMismatchingVersions: string[];
    resolved: PackagePath[];
};
